OpenTTD: Data Fields

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - n -

- name : BaseConsist , BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , IConsoleCmd , IndustrySpec , ObjectSpec , StationSpec , IniItem , NewsTypeData , RailtypeInfo , IConsoleAlias , IniGroup , SaveLoadFormat , FileToSaveLoad , LanguagePackHeader , ScriptConfigItem , ScriptConfig , CargoSpec , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , ContentInfo , ScriptInfo , SettingEntry , BaseNetworkContentDownloadStatusWindow , SettingDescBase , LangString , DriverFactoryBase , NetworkClientListPopupWindow::ClientListAction , ThreadObject_pthread , ThreadObject_Win32 , Action5Type , Town , BaseStation , Command , Engine , AirportSpec , AirportTileSpec , LoggedChange , NewGRFClass< Tspec, Tid, Tmax > , UnknownGRF , CompanyProperties , Group , GRFParameterInfo , GRFConfig , KeycodeNames , NIProperty , NICallback
- name_1 : CompanyProperties
- name_2 : CompanyProperties
- name_editbox : NetworkGameWindow , NetworkStartServerWindow
- name_single : CargoSpec
- names : PluralForm
- NameSorter() : NetworkContentListWindow , NewGRFWindow
- NatSortFunc() : DropDownListStringItem
- need_length : SaveLoadParams
- needed : ScoreInfo
- NeedRebuild() : GUIList< T, F >
- NeedResort() : GUIList< T, F >
- NeedsAutomaticServicing() : Vehicle
- NeedsAutorenewing() : Vehicle
- NeedsPreprocessing() : NewGRFSpriteLayout
- NeedsServicing() : Vehicle
- nested_array : Window
- nested_array_size : Window
- nested_focus : Window
- nested_root : Window
- network : ClientSettings
- network_chat_box_height : GUISettings
- network_chat_box_width_pct : GUISettings
- network_chat_timeout : GUISettings
- network_conn : AfterNewGRFScan
- network_id : NetworkSettings
- NetworkAddress() : NetworkAddress
- NetworkAdminSocketHandler() : NetworkAdminSocketHandler
- NetworkChatWindow() : NetworkChatWindow
- NetworkClientInfo() : NetworkClientInfo
- NetworkClose : ClientNetworkGameSocketHandler
- NetworkContentConnecter() : NetworkContentConnecter
- NetworkContentDownloadStatusWindow() : NetworkContentDownloadStatusWindow
- NetworkContentListWindow() : NetworkContentListWindow
- NetworkContentSocketHandler() : NetworkContentSocketHandler
- NetworkExecuteLocalCommandQueue : ClientNetworkGameSocketHandler
- NetworkGameSocketHandler() : NetworkGameSocketHandler
- NetworkHTTPContentConnecter() : NetworkHTTPContentConnecter
- NetworkHTTPSocketHandler() : NetworkHTTPSocketHandler
- NetworkSocketHandler() : NetworkSocketHandler
- NetworkTCPSocketHandler() : NetworkTCPSocketHandler
- NetworkUDPQueryServerInfo() : NetworkUDPQueryServerInfo
- NetworkUDPSocketHandler() : NetworkUDPSocketHandler
- never_expire_airports : StationSettings
- never_expire_vehicles : VehicleSettings
- New() : GRFText , ThreadObject , ThreadMutex
- new_act : TransportedCargoStat< Tstorage >
- new_goal_id : ScriptStorage
- new_group_id : ScriptStorage
- new_industry_text : IndustrySpec
- new_loco : RailtypeInfo
- new_max : TransportedCargoStat< Tstorage >
- new_nonstop : GUISettings
- new_outersize : TileHighlightData
- new_pathfinding_all : PathfinderSettings
- new_pos : TileHighlightData
- new_sign_id : ScriptStorage
- new_size : TileHighlightData
- new_story_page_element_id : ScriptStorage
- new_story_page_id : ScriptStorage
- new_tile : GetNewVehiclePosResult
- new_vehicle_id : ScriptStorage
- new_vehicles : NewsSettings
- new_year : SoundSettings
- NewEvent() : AI , Game
- newgrf : LoggedChange
- NEWGRF : TarScanner
- newgrf_default_palette : GUISettings
- newgrf_developer_tools : GUISettings
- newgrf_id : LanguageMap::Mapping
- newgrf_show_old_versions : GUISettings
- newgrflangid : LanguagePackHeader
- NewMonth() : TransportedCargoStat< Tstorage >
- news_display : ClientSettings
- news_full : SoundSettings
- news_message_timeout : GUISettings
- news_ticker : SoundSettings
- newstations : RailStationGUISettings
- NewsTypeData() : NewsTypeData
- newval : LoggedChange
- next : AirportFTA , BaseSet< T, Tnum_files, Tsearch_in_tars > , IConsoleCmd , IConsoleAlias , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::AllocCache , SmallStackItem< Titem, Tindex > , IniItem , IniGroup , Packet , NetworkGameList , CommandPacket , UnknownGRF , GRFConfig , GRFText , NewsItem , Order , RoadStop , Case , AirportFTAbuildup , Vehicle , ChildScreenSpriteToDraw , NWidgetBase
- Next() : Randomizer , Lexer , GraphEdgeIterator , FlowEdgeIterator , IcuStringIterator , StringIterator , Vehicle , SpecializedVehicle< T, Type >
- next_cargo : StationViewWindow::RowDisplay
- next_drawstyle : TileHighlightData
- next_edge : LinkGraph::BaseEdge
- next_hop : ReturnCargoAction
- next_position : AirportFTA
- next_shared : Vehicle
- next_station : CargoPacket , FinalizeRefitAction , StationViewWindow::RowDisplay
- next_string_id : StringData
- next_update : GRFFileScanner
- NextID() : FreeUnitIDGenerator
- NextLine() : FallbackParagraphLayout
- NextShared() : Vehicle
- NextStation() : CargoPacket
- NextString() : MissingGlyphSearcher , TextfileWindow
- nfo_line : GrfProcessingState
- NGameAllowedSorter() : NetworkGameWindow
- NGameClientSorter() : NetworkGameWindow
- NGameDateSorter() : NetworkGameWindow
- NGameMapSizeSorter() : NetworkGameWindow
- NGameNameSorter() : NetworkGameWindow
- NGameYearsSorter() : NetworkGameWindow
- ni : NewsWindow
- NO_FREE_ITEM : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- no_http_content_downloads : NetworkSettings
- no_jetcrash : Cheats
- no_servicing_if_no_breakdowns : OrderSettings
- NoCompLoadFilter() : NoCompLoadFilter
- NoCompSaveFilter() : NoCompSaveFilter
- Node() : LinkGraphJob::Node , LinkGraph::Node , CYapfCostRailT< Types >
- node : LinkGraph::NodeWrapper< Tnode, Tedge > , Path , NPFFoundTargetData
- Node : CYapfDestinationTileRoadT< Types > , CYapfBaseT< Types > , CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types > , CYapfReserveTrack< Types > , CYapfSegmentCostCacheNoneT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfFollowShipT< Types > , CYapfCostRoadT< Types > , CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfFollowRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfFollowRoadT< Types > , CYapfCostShipT< Types > , CYapfSegmentCostCacheGlobalT< Types > , CYapfDestinationTileT< Types >
- node : GoodsEntry
- node_anno : LinkGraphJob::Node
- NodeList : CYapfBaseT< Types > , CYapfShip_TypesT< Tpf_, Ttrack_follower, Tnode_list >
- nodes : LinkGraph , LinkGraphJob
- NodeWrapper() : LinkGraph::NodeWrapper< Tnode, Tedge >
- nof_depots : AirportSpec
- nofelements : AirportFTAClass
- noise_level : AirportSpec
- noise_reached : Town
- NONE : TarScanner
- NONEMPTY : GRFTempEngineData
- normal_height : CargoesField
- north_tile : SearchNearbyHouseData
- not_articulated : NPFFindStationOrTileData
- not_yet_constructed : HouseScopeResolver
- notifyallexceptions() : SquirrelStd
- NotifySmallmap() : IndustryCargoesWindow
- npf : PathfinderSettings
- npf_buoy_penalty : NPFSettings
- npf_crossing_penalty : NPFSettings
- npf_max_search_nodes : NPFSettings
- npf_rail_curve_penalty : NPFSettings
- npf_rail_depot_reverse_penalty : NPFSettings
- npf_rail_firstred_exit_penalty : NPFSettings
- npf_rail_firstred_penalty : NPFSettings
- npf_rail_lastred_penalty : NPFSettings
- npf_rail_pbs_cross_penalty : NPFSettings
- npf_rail_pbs_signal_back_penalty : NPFSettings
- npf_rail_slope_penalty : NPFSettings
- npf_rail_station_penalty : NPFSettings
- npf_road_bay_occupied_penalty : NPFSettings
- npf_road_curve_penalty : NPFSettings
- npf_road_drive_through_penalty : NPFSettings
- npf_road_dt_occupied_penalty : NPFSettings
- npf_water_curve_penalty : NPFSettings
- num : TrainCollideChecker
- num_bit : GRFParameterInfo
- num_bits : MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits >
- num_cargoes : CargoesField
- num_cases : LanguagePackHeader
- num_children : Path , CargoDataEntry
- NUM_COLUMNS : StationViewWindow
- num_columns : DepotWindow
- NUM_DEFAULT_ENGINES : EngineOverrideManager
- num_dirty_rects : CocoaSubdriver
- num_engines : GroupStatistics
- NUM_FILES : BaseSet< T, Tnum_files, Tsearch_in_tars >
- num_genders : LanguagePackHeader
- num_groups : RandomizedSpriteGroup
- num_helipads : AirportFTAClass
- num_houses : TownCache
- num_loaded : RealSpriteGroup
- num_loading : RealSpriteGroup
- num_manual_orders : OrderList
- num_orders : OrderList
- num_param : StringParameters
- num_params : GRFConfig
- num_profit_vehicle : GroupStatistics
- num_scanned : GRFFileScanner
- num_specs : BaseStation
- num_sprites : GrfProcessingState::SpriteSet
- num_station : NetworkCompanyStats
- num_subtotals : ExpensesList
- num_table : IndustrySpec , AirportSpec
- num_valid_params : GRFConfig
- num_valid_stat_ent : CompanyProperties
- num_vehicle : GroupStatistics , NetworkCompanyStats
- num_vehicles : RefitWindow , OrderList
- num_visible_lines : AboutWindow
- number_consecutive_turns : Aircraft
- number_dim : SelectCompanyManagerFaceWindow
- number_of_sounds : IndustrySpec
- number_towns : DifficultySettings
- numleft : GetOptData
- nwid_length : WindowDesc
- nwid_parts : WindowDesc
- NWidgetBackground() : NWidgetBackground
- NWidgetBase() : NWidgetBase
- NWidgetContainer() : NWidgetContainer
- NWidgetCore() : NWidgetCore
- NWidgetHorizontal() : NWidgetHorizontal
- NWidgetHorizontalLTR() : NWidgetHorizontalLTR
- NWidgetLeaf() : NWidgetLeaf
- NWidgetResizeBase() : NWidgetResizeBase
- NWidgetScrollbar() : NWidgetScrollbar
- NWidgetSpacer() : NWidgetSpacer
- NWidgetStacked() : NWidgetStacked
- NWidgetVertical() : NWidgetVertical